using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace WindowsApplication1
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

			// Create an instance of our form.
			Form1 mainForm = new Form1();

			// We tell the calculator form what function to call in order
			// to perform a calculation/addition with our delegate.
			mainForm.calculateCallback = PerformCalculation;

            Application.Run(mainForm);
        }

        static double PerformCalculation (double operand1, double operand2)
        {
			return operand1 + operand2;
        }
    }
}
